Bug 73281 - FILESAVE: Strikethrough missing if applied only to a part of the cell text
Summary: FILESAVE: Strikethrough missing if applied only to a part of the cell text
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.1 rc
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.3.0 target:4.2.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-01-04 17:27 UTC by Chris
Modified: 2015-12-15 22:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample sheet (7.82 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-01-04 17:27 UTC, Chris
Details
strikethrough screenshot (1.15 KB, image/png)
2014-01-23 12:24 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris 2014-01-04 17:27:59 UTC
Created attachment 91487 [details]
sample sheet

1/ Open the attached sheet
2/ Strikethrough only word "missing"
3/ Save file and close
4/ Open again saved sheet

LibreOffice lose strikethrough after saving.
Comment 1 Tim Lloyd 2014-01-05 01:12:09 UTC
I have v 4.1.4.2 under Fedora 20 and I can not reproduce this. Can someone confirm with 4.2 pls? In which case it is a regression
Comment 2 tommy27 2014-01-07 00:59:08 UTC
(In reply to comment #0)
> ...
> 2/ Strikethrough only word "missing"
> ...

It's not clear to me what do you mean with this... try rewording the phrase.
Comment 3 Chris 2014-01-07 17:58:44 UTC
(In reply to comment #2)
> (In reply to comment #0)
> > ...
> > 2/ Strikethrough only word "missing"
> > ...
> 
> It's not clear to me what do you mean with this... try rewording the phrase.

:) Open file > Mark some part of text in cell > Open context menu - choose Style - Strikethrough > Close file > Open again
Comment 4 Chris 2014-01-23 11:04:47 UTC
Libre Office 4.2.0.3 (RC3) no changes.
Comment 5 tommy27 2014-01-23 12:24:07 UTC
Created attachment 92658 [details]
strikethrough screenshot

I do not reproduce it on LibO 4.1.4.2 under Win7 64bit.
as you can see from my screenshot the strikethrough remains after save-close-reload.

It could be a Linux specific issue.

anyway status has to be reverted to UNCONFIRMED.
the policy is that status NEW cannot be set by the initial reporter without any other independent confirmation
Comment 6 Chris 2014-01-23 12:44:11 UTC
(In reply to comment #5)
> Created attachment 92658 [details]
> strikethrough screenshot
> 
> I do not reproduce it on LibO 4.1.4.2 under Win7 64bit.
> as you can see from my screenshot the strikethrough remains after
> save-close-reload.
> 
> It could be a Linux specific issue.
> 
> anyway status has to be reverted to UNCONFIRMED.
> the policy is that status NEW cannot be set by the initial reporter without
> any other independent confirmation

I think it's a small misunderstanding. Check version 4.2.x. Bug marked as regression (!) :)
Comment 7 tommy27 2014-01-23 13:02:39 UTC
you are right.
it works in 4.1.x but is broken in 4.2.x.


reproduced with Version: 4.2.1.0.0+
Build ID: 88cd9632e081f5839cf9fddf60cbff0c099e2968
TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-01-09_22:46:56

interestingly if you strikethrough the whole text in the cell, it sticks after reloading. if you just strikethrough just part of it (only 1st or 2nd word) it won't stick.

set platform to ALL (affect both Linux and Windows)
edited summary notes
added Calc expert to CC list.
Comment 8 Kohei Yoshida 2014-02-08 02:40:57 UTC
Taking this.
Comment 9 Commit Notification 2014-02-08 02:51:44 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=27251f37e564ed7b83891875d7d269ff21f18fd9

fdo#73281: Write an export test for strike-through text attribute.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-02-08 02:51:59 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=503b7191737eafa5621dc0aa552092793676c998

fdo#73281: Why!?



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Kohei Yoshida 2014-02-08 02:52:34 UTC
4.2 backport request: https://gerrit.libreoffice.org/7942
Comment 12 Commit Notification 2014-02-08 12:34:15 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54583b6dec8ba17246f3422695b57795c64bc65d&h=libreoffice-4-2

fdo#73281: Why!?


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Kohei Yoshida 2014-02-08 14:04:44 UTC
Fixed.
Comment 14 Robinson Tryon (qubit) 2015-12-15 22:23:36 UTC
Migrating Whiteboard tags to Keywords: ()
Remove redundant 'regression' from Whiteboard.
[NinjaEdit]